version: '3'
services:
  yifu-mysql:
    build:
      context: ./db
    environment:
      MYSQL_ROOT_HOST: "%"
      MYSQL_ROOT_PASSWORD: root
    restart: always
    container_name: yifu-mysql
    image: yifu-mysql
    ports:
      - 3306:3306

  yifu-redis:
    image: redis:7.0.0
    ports:
      - 6379:6379
    restart: always
    container_name: yifu-redis
    hostname: yifu-redis

  yifu-register:
    build:
      context: ./yifu-register
    restart: always
    ports:
      - 8848:8848
    container_name: yifu-register
    hostname: yifu-register
    image: yifu-register

  yifu-gateway:
    build:
      context: ./yifu-gateway
    restart: always
    ports:
      - 9999:9999
    container_name: yifu-gateway
    hostname: yifu-gateway
    image: yifu-gateway

  yifu-auth:
    build:
      context: ./yifu-auth
    restart: always
    container_name: yifu-auth
    hostname: yifu-auth
    image: yifu-auth

  yifu-upms:
    build:
      context: ./yifu-upms/yifu-upms-biz
    restart: always
    container_name: yifu-upms
    hostname: yifu-upms
    image: yifu-upms

  yifu-monitor:
    build:
      context: ./yifu-visual/yifu-monitor
    restart: always
    ports:
      - 5001:5001
    container_name: yifu-monitor
    hostname: yifu-monitor
    image: yifu-monitor

  yifu-sentinel:
    build:
      context: ./yifu-visual/yifu-sentinel-dashboard
    restart: always
    image: yifu-sentinel
    container_name: yifu-sentinel
    ports:
      - 5003:5003

  yifu-codegen:
    build:
      context: ./yifu-visual/yifu-codegen
    restart: always
    container_name: yifu-codegen
    hostname: yifu-codegen
    image: yifu-codegen

  yifu-job:
    build:
      context: ./yifu-visual/yifu-xxl-job-admin
    restart: always
    container_name: yifu-job
    hostname: yifu-job
    image: yifu-job
    ports:
      - 5004:5004
